import {utils} from 'egg-core';
import * as compose from 'koa-compose';

export function connectionMiddlewaresInit(ctx, mqtt, next, connectionMiddleware) {
    connectionMiddleware = connectionMiddleware.map((mw) => utils.middleware(mw));
    const composed = compose(connectionMiddleware);
    composed(ctx, async () => {
        next();
    }).catch(e => {
        next(e);
    });
}
