import * as debug from 'debug';
import * as path from 'path';


export function loader(app) {
    let dirs = app.loader.getLoadUnits().map((unit) => path.join(unit.path, 'app', 'mqtt', 'middleware'));
    app.mqtt.middleware = app.mqtt.middleware || {};
    new app.loader.FileLoader({
        directory: dirs,
        target: app.mqtt.middleware,
        // inject: app,
        typescript: true
    }).load();
    debug('[egg-mqtt] app.mqtt.middleware:', app.mqtt.middleware);

    dirs = app.loader.getLoadUnits().map((unit) => path.join(unit.path, 'app', 'mqtt', 'controller'));
    app.mqtt.controller = app.mqtt.controller || {};
    app.loader.loadController({
        directory: dirs,
        target: app.mqtt.controller,
        typescript: true
    });
    debug('[egg-socket.io] app.io.controller:', app.mqtt.controller);
}
